log4cplus::helpers::FileInfo Struct Reference

`#include <fileinfo.h>`

## Public Attributes

helpers::Time | mtime
bool | is_link
off_t | size

## Detailed Description

FileInfo structure is OS independent abstraction of the `stat()` function.

Definition at line 45 of file fileinfo.h.

## Member Data Documentation

## is_link

bool log4cplus::helpers::FileInfo::is_link

Definition at line 48 of file fileinfo.h.

## mtime

helpers::Time log4cplus::helpers::FileInfo::mtime

Definition at line 47 of file fileinfo.h.

## size

off_t log4cplus::helpers::FileInfo::size

Definition at line 49 of file fileinfo.h.

The documentation for this struct was generated from the following file:

- fileinfo.h